<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Tokenizer_visualizer</title>
    <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='style.css') }}" />
    <script src="{{ url_for('static', filename='main.js') }}"></script>
</head>
<body>
<h3 class="title">Enter text to see how it will be tokenized</h3>
<form id="mainForm" method="POST" style="display: inline-block">
    <label>
        <textarea id ="mainTextArea" name="textarea"></textarea>
    </label>
    <input type="submit" value="Submit">
    <select name ="dropdown">
    <option value="bert">Bert Word Piece</option>
    <option value="byte_pair">Byte Pair</option>
    <option value="byte_pair_dropout">Byte Pair dropout</option>
</select>
    </form>
<div style="margin: auto; justify-content: center">
<label for="dropdown">Select a tokenizer</label>
<button class="autofill" onclick="autofillOnClick()">use example</button>

<p style="text-align: center; position: relative">
    {% for token in tokenized_text %}
        {%- if token -%}
            <mark class = {{ token[1] }}>{{ token[0] }}</mark>
        {%- endif -%}
    {% endfor %}
</p>
</div>
</body>
</html>